using dg1d
using LinearAlgebra
using InteractiveUtils
import Parameters: @unpack
import Base: Filesystem
using TOML
using Random

include("utils.jl")
include("test_utils.jl")
include("test_objectcache.jl")
include("test_with_signature.jl")
include("test_dgelement.jl")
include("test_tensorbasis.jl")
include("test_box.jl")
include("test_tree.jl")
include("test_mesh.jl")
include("test_evolve.jl")
include("test_parameters.jl")
include("test_variables.jl")
include("test_cache.jl")
include("test_callbacks.jl")
include("test_output.jl")
include("test_workspace.jl")
include("test_EquationOfState.jl")
