@testset "Object cache" begin

  keytype = Int64
  objtype = Vector{Float64}

  blueprint(n) = randn(n)

  cache = ObjectCache{keytype,objtype}(blueprint)

  obj1 = cache[3]
  obj2 = cache[4]
  obj3 = cache[5]

  obj11 = cache[3]
  obj22 = cache[4]
  obj33 = cache[5]

  @test obj1 === obj11
  @test obj2 === obj22
  @test obj3 === obj33

end
